org.modeshape.jcr.sequencer

## Class PathExpression.WorkspacePath

- java.lang.Object
- - org.modeshape.jcr.sequencer.PathExpression.WorkspacePath

- Enclosing class:
    PathExpression

      @Immutable
      public static class PathExpression.WorkspacePath
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `path`
    `String` | `workspaceName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PathExpression.WorkspacePath(String workspaceName, String path)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `int` | `hashCode()`
    `String` | `toString()`
    `PathExpression.WorkspacePath` | `withPath(String path)`
    `PathExpression.WorkspacePath` | `withWorkspaceName(String workspaceName)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### workspaceName

          public final String workspaceName

    - #### path

          public final String path

  - ### Constructor Detail

    - #### PathExpression.WorkspacePath

          public PathExpression.WorkspacePath(String workspaceName,
                                      String path)

  - ### Method Detail

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`
      See Also:
        `Object.hashCode()`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`
      See Also:
        `Object.equals(java.lang.Object)`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`
      See Also:
        `Object.toString()`

    - #### withWorkspaceName

          public PathExpression.WorkspacePath withWorkspaceName(String workspaceName)

    - #### withPath

          public PathExpression.WorkspacePath withPath(String path)

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.